Issue #11902 has been updated by Dwain Faithfull.


I should add installing ruby 2.3 through ruby-install works fine.

----------------------------------------
Bug #11902: have_func('rb_thread_fd_select') returns false
https://bugs.ruby-lang.org/issues/11902#change-55805

* Author: Dwain Faithfull
* Status: Open
* Priority: Normal
* Assignee: 
* ruby -v: ruby 2.4.0dev (2015-12-26 trunk 53319) [x86_64-darwin14]
* Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN
----------------------------------------
Hello all. I don't know if this is a bug or an error on my part of setting something up.

I was unable to install the eventmachine gem against a version of ruby I compiled from trunk due to have_func('rb_thread_fd_select') reporting false when it should report true.

mkmf.rb seems to be generating commands to point to the right include directories:

clang -o conftest -I/usr/local/include/ruby-2.4.0/x86_64-darwin14 -I/usr/local/include/ruby-2.4.0/ruby/backward -I/usr/local/include/ruby-2.4.0 -I. -D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -D_DARWIN_UNLIMITED_SELECT -D_REENTRANT    -O0 -fno-fast-math -g -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wunused-variable -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wshorten-64-to-32 -Wimplicit-function-declaration -Wdivision-by-zero -Wdeprecated-declarations -Wextra-tokens  -pipe conftest.c  -L. -L/usr/local/lib -L. -fstack-protector -L/usr/local/lib     -lruby-static -framework CoreFoundation  -lpthread -lgmp -ldl -lobjc 

Other have_func calls seems to work as expected. If I 'hack' eventmachine to assume it returns true, everything works as expected.

Could someone more experienced than I help me debug what's going on here? have_func('rb_thread_fd_select') should only correctly return false for ruby version < 1.9, of which I have none installed on my system, so something is failing here.





-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>